SUBROUTINE makeblo (block, grid, ijs, ijl, ig)
USE params ; USE map
IMPLICIT NONE

REAL   , INTENT(OUT):: block(niblo)
REAL   , INTENT(IN) :: grid(ngx,ngy)
INTEGER, INTENT(IN) :: ijs, ijl, ig
INTEGER             :: ij, ix, jy

DO ij = ijs, ijl
   ix        = ixlg(ij,ig)
   jy        = kxlt(ij,ig)
   block(ij) = grid(ix,jy)
ENDDO

RETURN
END SUBROUTINE MAKEBLO
